[arch-commits] Commit in libmsn/trunk (PKGBUILD)

Andrea Scarpino andrea at archlinux.org
Fri Dec 11 21:21:44 EST 2009


    Date: Friday, December 11, 2009 @ 21:21:43
  Author: andrea
Revision: 61093

upgpkg: libmsn 4.0-1
    upstream release

Modified:
  libmsn/trunk/PKGBUILD

----------+
 PKGBUILD |   14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-12-11 15:00:08 UTC (rev 61092)
+++ PKGBUILD	2009-12-12 02:21:43 UTC (rev 61093)
@@ -3,8 +3,7 @@
 # Contributor: Charly Ghislain <charlyghislain at gmail.com>
 
 pkgname=libmsn
-pkgver=4.0beta8
-_pkgver=4.0-beta8
+pkgver=4.0
 pkgrel=1
 pkgdesc="A reusable, open-source, fully documented library for connecting to Microsoft's MSN"
 url="http://sourceforge.net/projects/libmsn/"
@@ -12,14 +11,15 @@
 license=('GPL2')
 depends=('openssl')
 makedepends=('cmake')
-source=(http://downloads.sourceforge.net/$pkgname/$pkgname-$_pkgver.tar.bz2)
-md5sums=('29d110b36402cfb0c3affeb10be8a6c6')
+source=(http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.bz2)
+md5sums=('027442e7366dac7c365e8e57eabffc4a')
 
 build() {
-  cd ${srcdir}/$pkgname-$_pkgver
-
+  cd ${srcdir}
   mkdir build
   cd build
-  cmake -D CMAKE_INSTALL_PREFIX=/usr .. || return 1
+  cmake ../${pkgname}-${pkgver} \
+    -DCMAKE_INSTALL_PREFIX=/usr \
+    -DCMAKE_BUILD_TYPE=Release || return 1
   make DESTDIR=${pkgdir} install
 }



More information about the arch-commits mailing list